
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP 构建语义 Web CRUD 操作 / iVAN</title>

    <meta name="description" content="PHP 构建语义 Web CRUD 操作   创建.读.更新和删除(Create/Read/Update/Delete,CRUD)操作是最基本的数据库操作,但是它们也是最重要的操作.CRUD 操作通常是使用关系数据库系统中的结构化查询语言(Structured Query Language,SQL)完成的.随着 Web 变得更加具有面向数据特性,因此需要从基于 SQL 的 CRUD 操作转移到基于语义 Web 的 CRUD 操作.了解如何使用 PHP 通过基于语义的 Web 执行 CRUD 操作. 常用缩写词 API - 应用程序编程接">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP 构建语义 Web CRUD 操作</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　创建、读、更新和删除(Create/Read/Update/Delete，CRUD)操作是最基本的数据库操作，但是它们也是最重要的操作。CRUD  操作通常是使用关系数据库系统中的结构化查询语言(Structured Query Language，SQL)完成的。随着 Web  变得更加具有面向数据特性，因此需要从基于 SQL 的 CRUD 操作转移到基于语义 Web 的 CRUD 操作。了解如何使用 PHP 通过基于语义的 Web  执行 CRUD 操作。</p>
<p>　　常用缩写词</p>
<p>　　API — 应用程序编程接口(Application Programming Interface)</p>
<p>　　CRUD — 创建/读/更新/删除(Create/Read/Update/Delete)</p>
<p>　　HTTP — 超文本传输协议(Hypertext Transfer Protocol)</p>
<p>　　MVC — 模式—视图—控制器(Model-View-Controller)</p>
<p>　　OOP — 面向对象的编程(Object-Oriented Programming)</p>
<p>　　RDF — 资源描述框架(Resource Description Framework)</p>
<p>　　SPARQL — 简单协议和 RDF 查询语言(Simple Protocol and RDF Query Language)</p>
<p>　　SQL — 结构化查询语言(Structured Query Language)</p>
<p>　　UI — 用户界面(User interface)</p>
<p>　　W3C — 万维网联盟(World Wide Web Consortium)</p>
<p>　　在开发 Web 应用程序时，为逻辑层和 UI  层创建放置服务器端代码的数据库结构是一种标准实践。要连接到数据库，服务器端代码需要执行一些基本的创建、更新、删除和 — 最重要的 — 读取记录等操作。由于  Web 应用程序的后台数据库通常都是关系数据库，因此这些 CRUD 操作都是使用众所周知的 SQL 语言执行的。但是，随着 Web  开发越来越多地采用面向对象的编程(OOP)，模型也随之发生改变。</p>
<p>　　资源描述框架(Resource Description Framework，RDF)是描述对象同时保留数据含义的理想方法。简单协议和 RDF  查询语言(Simple Protocol and RDF Query Language，SPARQL — 发音为  “sparkle”)是通常用于针对该数据进行查询的语言，因为它在语句构成上匹配 RDF 本身的结构。RDF 和 SPARQL 都是所谓 语义 Web  栈(semantic Web stack)中的技术。</p>
<p>　　要彻底地应用语义 Web 理念，您可以使用 SPARQL 将传统的 Web 开发技术应用到 RDF  数据中。本文将展示如何使用简化的模式—视图—控制器(Model-View-Controller，MVC)设计模型、PHP 服务器端脚本语言和 SPARQL  连接到 RDF — 与使用关系数据库系统中的 SQL 相反。</p>
<p>　　SQL 和 SPARQL CRUD 操作</p>
<p>　　先决条件</p>
<p>　　本文假定您基本了解 SQL、PHP 和 Web 应用程序开发。了解语义 Web 也十分有利。要对基于语义 Web 的数据运行  create、update 和 delete 命令，需要具有支持 SPARQL/Update 规范的语义 Web 数据库。</p>
<p>　　在使用 SQL 和 SPARQL 进行开发时，需要查看一下 CRUD 操作之间的异同。清单 1 显示了 read 操作的 SQL 代码。</p>
<p>　　SELECT realname, dob, locationFROM UserTable WHERE realname = "John  Smith";</p>
<p>　　将这段基于 SQL 的代码与清单 2 中所示的基于 SPARQL 的代码相比较。采用这两个 read 操作的原因在于它们最易于理解、实现和说明。这对于  SQL 和 SPARQL 来说都是一样的。</p>
<p>　　PREFIX foaf:</p>
<p>　　在比较两张清单时，您的第一个想法很可能是 SPARQL 版本明显比 SQL 版本长很多。这是事实，但是请不要误以为 SQL  必然更简单而且更干净。根据所运行引擎的不同，SPARQL 可以全部通过称为链接数据结果(linked data  effect)的内容进行分发。此外，它允许拥有动态模式，因为它拥有互相链接的面向对象的透视图，与严格的 SQL  关系透视图形成对照。如果您想要把关系数据库表分隔为许多数据孤岛，则实际上使用的 SQL 代码行将比 SPARQL 多很多 — 更不必说 SQL  中会出现大量令人讨厌的 JOIN 描述符。</p>
<p>　　SPARQL 的前两行是 PREFIX 声明。根据语义 Web 理论，一切内容 — 无论是对象还是数据图来源(也是一个对象)—  都有统一资源标识符(Uniform Resource Identifier，URI)。PREFIX 行只是将临时标签应用到一些 URI 中 — 在本例中为  Friend of a Friend 和 RDF 模式。其中的好处是您以后可以在查询中使用 PREFIX 声明而不必使用完整的 URI。</p>
<p>　　SPARQL 代码的下一行描述了查询请求。这条语句在本质上与 SQL 语句相同，不同之处是对 URI  的附加请求。注意问号的使用(?)是为了表示术语是变量。</p>
<p>　　FROM 语句描述了获取数据的位置。这在 SQL 和 SPARQL 中是相同的，只是在 SPARQL 中，数据源名称是  URI，而非表示计算机或网络中某个物理位置的字符串。</p>
<p>　　两者的 WHERE 语句完全不同，因为使用 SPARQL，必须指定用于获取数据的模式。同样，如果尝试过使用关系方法执行此操作，则需要花费的代价比普通  SQL 多得多：需要使用 PHP、Java 编程语言或者一些其他服务器端语言才能执行数据源之间的检查。SPARQL  代码行完成的操作比较明了，这包括确保正在检索的数据只属于 Person 类型。SPARQL 将获取名称和位置，同时执行一些模式匹配以查找正确的 John  Smith。</p>
<p>　　创建</p>
<p>　　SPARQL 中的 CRUD 操作通常比 read 操作更神秘。但是，可以完成这些操作。首先，create  操作将把新记录或对象插入到表或图表中。</p>
<p>　　INSERT INTO UserTable (realname, dob, location) VALUES ("John Smith",  "1985-01-01", "Bristol, UK");</p>
<p>　　现在，比较清单 3 中基于 SQL 的代码与清单 4 中基于 SPARQL 的代码中的 create 操作。</p>
<p>　　PREFIX foaf:</p>
<p>　　同样，注意 PREFIX 行与用 SPARQL 在 read 操作中执行的操作完全相同。INSERT INTO 的工作原理类似于  SQL，但是同样，这是基于 URI 的，而非基于字符串、基于表和基于名称的，这允许使用 HTTP 完成操作。您必须再次指定模式。在这里，比在 read  操作中了解起来略微简单一些，因为您几乎可以拥有任何属性，只要它与模式兼容。这就是 RDF 所提供的分布式动态可扩展对象的优点。</p>
<p>　　删除</p>
<p>　　从某一程度来说，如果要创建，那很可能需要进行删除。例如，用户可能想要删除他们在您站点中的帐户(这显然是件遗憾的事情，他们想要离开，但是他们可能有正当的理由)。清单  5 提供了典型 delete 操作的 SQL 代码。</p>
<p>　　DELETE FROM UserTable WHERE realname = "John Smith"</p>
<p>　　现在，比较清单 5 中基于 SQL 的代码与清单 6 中基于 SPARQL 的代码。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:46:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e4%ba%8e/" title="基于">基于</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e4%b9%89/" title="语义">语义</a>, <a href="https://www.iamivan.net/tag/sql%e6%95%b0%e6%8d%ae%e5%ba%93%e5%85%b3%e7%b3%bb%e6%a8%a1%e5%bc%8f/" title="sql数据库关系模式">sql数据库关系模式</a>, <a href="https://www.iamivan.net/tag/rdf-resource%e7%9a%84%e5%b5%8c%e5%a5%97/" title="rdf resource的嵌套">rdf resource的嵌套</a>, <a href="https://www.iamivan.net/tag/ofbiz-crud/" title="ofbiz  crud">ofbiz  crud</a>, <a href="https://www.iamivan.net/tag/sparql%e6%9f%a5%e8%af%a2-jena-java/" title="sparql查询 jena java">sparql查询 jena java</a>, <a href="https://www.iamivan.net/tag/crud/" title="CRUD">CRUD</a>, <a href="https://www.iamivan.net/tag/crud%e6%93%8d%e4%bd%9c/" title="crud操作">crud操作</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP 构建语义 Web CRUD 操作的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZoD4b.html" rel="bookmark">PHP 构建语义Web CRUD 操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建.读.更新和删除(Create/Read/Update/Delete,CRUD)操作是最基本的数据库操作,但是它们也是最重要的操作.CRUD 操作通常是使用关系数据库系统中的结构化查询语言(Structured Query Language,SQL)完成的.随着 Web 变得更加具有面向数据特性,因此需要从基于 SQL 的 CRUD 操作转移到基于语义 Web 的 CRUD 操作.了解如何使用 PHP 通过基于语义的 Web 执行 CRUD 操作. 常用缩写词 API - 应用程序编程接口(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx0krb.html" rel="bookmark">PHP构建语义Web CRUD操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建.读.更新和删除(Create/Read/Update/Delete,CRUD)操作是最基本的数据库操作,但是它们也是最重要的操作.CRUD操作通常是使用关系数据库系统中的结构化查询语言(Structured Query Language,SQL)完成的.随着Web 变得更加具有面向数据特性,因此需要从基于SQL的CRUD操作转移到基于语义 Web的CRUD操作.了解如何使用PHP 通过基于语义的Web 执行 CRUD操作. 常用缩写词 API - 应用程序编程接口(Application			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkeYYOb.html" rel="bookmark">【ASP&period;NET Web API教程】2&period;1 创建支持CRUD操作的Web API</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 [ASP.NET Web API教程]2.1 创建支持CRUD操作的Web API 2.1 Creating a Web API that Supports CRUD Operations2.1 创建支持CRUD操作的Web API By Mike Wasson | January 28, 2012作者:Mike Wasson | 日期:2012-1-28 本文引自:http://www.asp.net/web-api/overview/creating-web-apis/creating			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJmJxp.html" rel="bookmark">Asp&period;Net Web API 2第二课&mdash;&mdash;CRUD操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Asp.Net Web API 2第二课--CRUD操作 Asp.Net Web API 导航   Asp.Net Web API第一课--入门http://www.cnblogs.com/aehyok/p/3432158.html 前言 CRUD代表着 Create.Read.Update.Delete,这是四个基本的数据库操作.许多HTTP服务模型也通过Rest或者Rest-like APIs实现CRUD操作.       在本教程中,我将建立一个非常简单的Web API来管理一个产品			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeLL0Vp.html" rel="bookmark">Contact Manager Web API 示例&lbrack;1&rsqb;CRUD 操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				联系人管理器web API是一个Asp.net web api示例程序,演示了通过ASP.NET Web API 公开联系信息,并允许您添加和删除联系人,示例地址http://code.msdn.microsoft.com/Contact-Manager-Web-API-0e8e373d . 下面的文章以这个示例讲解ASP.NET Web API的各方面知识: 1.CRUD操作: CURD 是 &quot;Create, Read, Update, Delete&quot; (新增.读取.更新.删除) 的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NGkNM.html" rel="bookmark">用 Jersey 2 和 Spring 4 构建 RESTful web service</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍了如何通过 Jersey 框架优美的在 Java 实现了 REST 的 API.CRUD 的 操作存储在 MySQL 中 1. 示例 1.1 为什么 Spring 可以对于 REST 有自己的实现(见 https://spring.io/guides/tutorials/rest/). 但本文展示的是用 &quot;官方&quot; 的 方法来实现 REST ,即使用 Jersey. 1.2 它是做什么的? 管理 资源. REST API 将允许创建.检索.更新和删除这样的资源. 1.3 架构及技			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jv5Vb.html" rel="bookmark">使用Jersey和Apache Tomcat构建RESTful Web服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RESTful Web 服务简介 REST 在 2000 年由 Roy Fielding 在博士论 文中提出,他是 HTTP 规范 1.0 和 1.1 版的首席作者之一. REST 中最 重要的概念是资源(resources),使用全球 ID(通常使用 URI)标识.客户端 应用程序使用 HTTP 方法(GET/ POST/ PUT/ DELETE)操作资源或资源集. RESTful Web 服务是使用 HTTP 和 REST 原理实现的 Web 服务.通常,RESTful Web 服务应该定义			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z72rXap.html" rel="bookmark">EF Code-First CRUD操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网上很多的教程都是跟MVC3绑在一起来讲解的,如果我们抛开MVC3,该如何使用呢? 首先新建一个控制台应用程序,我们把它命名为:EFCodeFirst-Books 第二步,添加EntityFramework的引用. 不要说你还不回使用NuGet,如果真的不会就去问度娘.在NuGet 控制台输入Install-Package EntityFramework,NuGet会为我们引用最新发布的EF版本,目前的版本是4.3. 第三步,添加实体类. 我新建了一个Models文件夹,在里面添加了Book类,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAvLeM.html" rel="bookmark">《HBase权威指南》一3&period;2　CRUD操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.2 CRUD操作 数据库的初始基本操作通常被称为CRUD(Create,Read,Update,Delete),具体指增.查.改.删.HBase中有与之相对应的一组操作,随后我们会依次介绍.这些方法都由HTable类提供,本章后面将直接引用这个类的方法,不再特别提到这个包含类. 接下来介绍的操作大多都能不言自明,但本书有一些细节需要大家注意.这意味着,对于书中出现的一些重复的模式,我们不会多次赘述. 文字你所看到的示例源代码都可以从GitHub的公用源中下载,具体地址为https://git			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN1O7b.html" rel="bookmark" class="title">我想要一个关于struts2与jqgrid结合的小项目，可一直弄不出修改功能</a>
					<div>
						问题描述 我想要一个关于struts2与jqgrid结合的小项目,可一直弄不出修改功能 我是参照这个 http://blog.csdn.net/gengv/article/details/571905 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM12P8p.html" rel="bookmark" class="title">Photoshop文字特效&colon;制作立体石纹字特效</a>
					<div>
						很多石纹字的制作都用到了石纹素材,不过这次都是用手工来完成.大致过程:先设置好想要的文字,用图层样式等做出浮雕效果.然后再新建图层,多次用滤镜做出类似石纹的纹理.最后把做好的纹理叠加到文字上面,稍微调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDELXb.html" rel="bookmark" class="title">用Fireworks制作仿真软盘效果</a>
					<div>
						软盘 看看下面这个软盘,可不要以为这是数码照片哦,其实是我们在FW中制作出的效果.怎么样,心动不如行动,让我们一起来,用FW做出超仿真的软盘来. 制作工具:FIREWORKS MX 简体中文版 使用字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD9JXb.html" rel="bookmark" class="title">实例学习PHP之FastTemplate模板篇</a>
					<div>
						模板 如果你从来没有接触过PHP,那么还是先看看这个吧,当然即使是你已经对PHP有所了解,但一本PHP4的的使用手册也还是需要的,:).此外一本HTML语法手册当然也是不可缺少的啦.......... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZLWYM.html" rel="bookmark" class="title">快速提升网站SEO健康度七：网站品牌健康</a>
					<div>
						大家好,我是木子成舟.对于网站SEO健康度这个系列,今天就要做一个完结了,前面我为大家介绍了5个大的方面的六篇文章,每篇文章我认为都是非常有价值的,因为SEO健康度这是一个新的概念,也许在我的文章提醒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV2BDz.html" rel="bookmark" class="title">网站优化之  如何检测并处理死链接</a>
					<div>
						所谓死链接,通俗的讲:就是指网站中不能打开的链接,或者错误的链接.如果网站中存在大量死链接,会直接影响到网站在搜索引擎心目中的&quot;形象&quot;.从而最终会影响到整个网站的权重与排名.尤其当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE7NNb.html" rel="bookmark" class="title">电写通信&lpar;Telewriting&rpar;</a>
					<div>
						电写通信(Telewriting) 电写通信是一种能够同时传送声音和手写图形信息的新型通信系统.也就是说,使用电写通信,在打电话的同时还可以用手写字或画图,把这些写画的信息也传送给对方.电写通信利用电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOG9Bb.html" rel="bookmark" class="title">Groovy 探索之闭包 二</a>
					<div>
						自从编程进入面向对象时代,大家都在孜孜不倦的同面向过程作斗争.想想 看,我们大家都爱使用.并且奉为经典的Bang of Four的模式,有多少是针对if -else-这样的语句进行优化的.但是,即使我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7NV7b.html" rel="bookmark" class="title">举例区分Python中的浅复制与深复制</a>
					<div>
						  这篇文章主要介绍了举例区分Python中的浅复制与深复制,是Python入门学习中的重要知识,需要的朋友可以参考下 copy模块用于对象的拷贝操作.该模块非常简单,只提供了两个主要的方法: cop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBVVLz.html" rel="bookmark" class="title">Win8&period;1设备管理器如何打开？</a>
					<div>
						  首先在Win8.1桌面上找到&quot;这台电脑(计算机)&quot;,然后点击进入,如下图所示: 进入Win8.1这台电脑 进入这台电脑系统后,我们在右上角侧面就可以看到&quot;设备管理器& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYPE0b.html" rel="bookmark" class="title">多米音乐库搬迁升级到什么时候？</a>
					<div>
						  今天小编打开多米音乐准备听歌时发现乐库不见了,多米音乐库没有了怎么听歌呢?多米音乐库搬迁升级到什么时候?我们一起来看看. 其实歌还是可以听的,只是不能在乐库中添加新歌曲,之前播放列表可以继续听歌, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3ZmOp.html" rel="bookmark" class="title">连接-小白太菜，求好心人帮忙指导啊</a>
					<div>
						问题描述 小白太菜,求好心人帮忙指导啊 providerName=&quot;&quot;System.Data.SqlClient&quot;&quot; /&gt;怎么才能连接上SQL呢 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWnKPb.html" rel="bookmark" class="title">人工智能在解放客服，还是在解散客服？</a>
					<div>
						当业务高速发展的巨头客服人数在缩减,当某款游戏90%以上的客服量由人工智能承担,当双十一期间客服小二还有时间&quot;嗑瓜子&quot;,没有人能忽视人工智能对客服领域的颠覆性影响. 然而,人工智能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwqLBb.html" rel="bookmark" class="title">WordPress用户登录框密码的隐藏与部分显示技巧&lowbar;php技巧</a>
					<div>
						让WordPress登录页的密码框显示最后一个输入的字符在通常情况下,网页的设计者们会将密码输入框中的所有字符隐藏成黑点,以防止有人在背后偷窥输入的密码,如: 这种密码输入模式虽然减少了被偷窥的危险, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqGKab.html" rel="bookmark" class="title">攻破JAVA NIO技术壁垒</a>
					<div>
						现在使用NIO的场景越来越多,很多网上的技术框架或多或少的使用NIO技术,譬如Tomcat,Jetty.学习和掌握NIO技术已经不是一个JAVA攻城狮的加分技能,而是一个必备技能.再者,现在互联网的面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvroqVM.html" rel="bookmark" class="title">吴尊宣布单飞华研独家证实未续约：还在洽谈中</a>
					<div>
						吴尊称得上是飞轮海(微博)的核心人物,他的单飞被视为飞轮海的终结.(资料图) 腾讯娱乐讯(文/小七) 近日有报道称吴尊前天在自己的官网成立并开粉丝见面会时,宣布单飞,脱离成军五年的飞轮海.飞轮海正式& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA6q6M.html" rel="bookmark" class="title">泄露数据告诉你，黑客论坛Nulled&period;IO用户都用哪些密码？</a>
					<div>
						2013年,国外老牌技术新闻和信息分享网站Ars Technica做了一个有趣的实验.他们从互联网下载了一份被黑客公布在网上的社工数据,包含16000个用户的账号密码信息,密码采用MD5 hash 存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn71ZZz.html" rel="bookmark" class="title">SQL删除数据如何保证不写日志，并释放空间</a>
					<div>
						问题描述 SQL删除数据如何保证不写日志,并释放空间 因为我们的数据量非常大,数据不断增长,所以决定对前面的历史数据进行删除, 但是已经设置了简单模式,发现日志文件依旧不断的增加,而原来数据库的空间  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZYQaz.html" rel="bookmark" class="title">Google I&sol;O 大会将近</a>
					<div>
						谷歌开发者大会即将拉开序幕,而传闻中的Android 6.0也将跟我们见面,据说,新系统代号为Macadamia Nut Cookie(澳大利亚坚果饼干),因此也被叫做Android M. 新系统能带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke1arb.html" rel="bookmark" class="title">研究人员发现 GPS 系统的严重漏洞</a>
					<div>
						卡耐基梅隆大学和Coherent Navigation公司的安全研究人员开发出三种能削弱全球定位系统(GPS)的攻击方法(PDF).其中一种方式是利用恶意GPS广播远程攻击消费级和专业级GPS接收器. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB5DrM.html" rel="bookmark" class="title">Cloudera与Hortonworks角逐Hadoop市场</a>
					<div>
						Cloudera和Hortonworks作为竞争对手,提供类似的Hadoop软件和服务,在多个方面进行竞争,伴随着Hadoop市场的快速增长,双方也在加紧拓宽各自的渠道,扩大合作圈,征募了越来越多的解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyevmZM.html" rel="bookmark" class="title">uva  567 Risk</a>
					<div>
						点击打开链接uva 567 1思路:最短路+floyd 2分析:题目给定的点的个数为20,那么根据f'loyd的时间复杂度不会超时,那么直接利用floyd即可. 3注意输出的格式问题 代码: #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq0Lyb.html" rel="bookmark" class="title">androidstudio-androidStudio 下的apk文件 名称问题</a>
					<div>
						问题描述 androidStudio 下的apk文件 名称问题 如上图,我的apk文件有两个 有两个的原因是: AndroidStudio生成apk的过程实际上分为两个过程,这个unaligend仅仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnxo7M.html" rel="bookmark" class="title">惠普为上市将拆分&comma;具体成本为20亿美元</a>
					<div>
						2月26日消息,去年年末就已传出分拆消息的惠普,近日公布了分拆计划具体成本为20亿美元.惠普CEO惠特曼强调,此次将分拆出两家独立上市公司,可以位居财富50强企业,年营收均超过570亿美元. 对于分拆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22dPZb.html" rel="bookmark" class="title">英特尔的胃口</a>
					<div>
						&quot;无论是IT巨头,还是车企大佬,如果不说自己在忙着研发汽车智能产品或者车联网技术,不说自己马上要推出无人驾驶的汽车,可能都不好意思张口聊天.&quot; 互联网巨头们早已开始在汽车上寻找新的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNGB8M.html" rel="bookmark" class="title">ios ui 适配 &period;&period;&period;-关于iOS 开发的runtime ，它有什么作用？你们一般什么时候用到这个？</a>
					<div>
						问题描述 关于iOS 开发的runtime ,它有什么作用?你们一般什么时候用到这个? 关于iOS 开发的runtime ,它有什么作用?你们一般什么时候用到这个?简单举例说明下 解决方案 动态获类的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgV5KM.html" rel="bookmark" class="title">二进制-C语言for循环里没有循环体，空白语句有什么作用</a>
					<div>
						问题描述 C语言for循环里没有循环体,空白语句有什么作用 程序是输入一个二进制数,然后求这个二进制数的补码. 第一个for中并没有循环体,注释掉以后无法运行. 另外这个程序是怎么做到当末位为1时,末 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq8Nyb.html" rel="bookmark" class="title">Sprint拟320亿美元收购T-Mobile</a>
					<div>
						腾讯科技讯 6月5日消息,日本软银集团和孙正义的电信版图,仍在进一步扩张.据多家媒体报道,已经被软银收购的美国电信运营商Sprint,已经接近和T-Mobile美国公司达成协议,Sprint将收购T- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7k0Zz.html" rel="bookmark" class="title">用Zend Encode编写开发PHP程序&lowbar;php基础</a>
					<div>
						Zend Encode的工作原理 使用PHP的人都知道,它是一个脚本编程工具,用它写的程序,必须以源码的形式放置在Web服务器上,所以我们无法保护自己的源代码.大家都知道任何一个脚本程序的执行效率同具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Pm0b.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;被热咖啡浇了一身&rdquo;网友投诉85度C甜品店</a>
					<div>
						微博投诉:大年初二,被热咖啡浇了一身前日,一名 网友在新浪微博上投诉南京&quot;85度C&quot;太平洋店服务态度恶劣,更让他感到恼火的是,自己在85度C官方微博的留言都被删除.该网友在微博中说 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
